edu.cmu.pslc.logging.distiller

## Class GeometryDistiller

- java.lang.Object
- - edu.cmu.pslc.logging.distiller.GeometryDistiller

-     public class GeometryDistiller
      extends java.lang.Object

  A distiller for what we generally refer to as "Hao's Data". This is Area Unit of the Geometry curriculum from around 1996 or 1997. This program is expecting a tab delimited file with a strict format.
  Version:
    $Revision: 10730 $
    Last modified by: $Author: alida $
    Last modified on: $Date: 2014-03-05 16:33:25 -0500 (Wed, 05 Mar 2014) $
  Author:
    Alida Skogsholm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeometryDistiller()` Default constructor.
    `GeometryDistiller(java.lang.String theFileName, java.lang.String theCurriculumName)` Constructor with needed information given.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `displayUsage()` Display the usage if an error occurs while handling the command line arguments.
    `protected void` | `handleOptions(java.lang.String[] args)` Handle the command line options.
    `void` | `justDoIt()` Read and parse the input file, then take that data and log actions.
    `static void` | `main(java.lang.String[] args)` Main.
    `java.util.List` | `readAndParseFile()` Read the data from the file, parse it and return a list of RawData objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeometryDistiller

          public GeometryDistiller()

      Default constructor.

    - #### GeometryDistiller

          public GeometryDistiller(java.lang.String theFileName,
                           java.lang.String theCurriculumName)

      Constructor with needed information given.
      Parameters:
        `theFileName` - the file name
        `theCurriculumName` - the curriculum name

  - ### Method Detail

    - #### justDoIt

          public final void justDoIt()

      Read and parse the input file, then take that data and log actions.

    - #### readAndParseFile

          public java.util.List readAndParseFile()

      Read the data from the file, parse it and return a list of RawData objects.
      Returns:
        list of type RawData (inner class)

    - #### handleOptions

          protected void handleOptions(java.lang.String[] args)

      Handle the command line options.
      Parameters:
        `args` - arguments on the command line
      See Also:
        `displayUsage()`

    - #### displayUsage

          protected void displayUsage()

      Display the usage if an error occurs while handling the command line arguments.
      See Also:
        `handleOptions(String[])`

    - #### main

          public static void main(java.lang.String[] args)

      Main.
      Parameters:
        `args` - command line arguments

Copyright (c) 2015 - Pittsburgh Science of Learning Center